# ApplicationFramework
PTKernel
PCollection

# PCollection_CompareOfReal Class Reference

`#include <PCollection_CompareOfReal.hxx>`

Inheritance diagram for PCollection_CompareOfReal:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PCollection_CompareOfReal ()
virtual Standard_EXPORT Standard_Boolean | IsLower (const Standard_Real &Left, const Standard_Real &Right) const
| Returns True if <left> is lower than <right>. .
virtual Standard_EXPORT Standard_Boolean | IsGreater (const Standard_Real &Left, const Standard_Real &Right) const
| Returns True if <left> is greater than <right>. .

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PCollection_CompareOfReal_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PCollection_CompareOfReal::PCollection_CompareOfReal | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean PCollection_CompareOfReal::IsGreater | ( | const Standard_Real & | Left,
|  | const Standard_Real & | Right
| ) | const`[virtual]`

| Reimplemented from PCollection_PrivCompareOfReal.

virtual Standard_EXPORT Standard_Boolean PCollection_CompareOfReal::IsLower | ( | const Standard_Real & | Left,
|  | const Standard_Real & | Right
| ) | const`[virtual]`

| Reimplemented from PCollection_PrivCompareOfReal.

void PCollection_CompareOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from PCollection_PrivCompareOfReal.

void* PCollection_CompareOfReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from PCollection_PrivCompareOfReal.

void* PCollection_CompareOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from PCollection_PrivCompareOfReal.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PCollection_CompareOfReal_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PCollection_CompareOfReal.hxx